ktimewidget.h
/* This file is part of the KDE libraries
Copyright (C) 2002 Hans Petter bieker <bieker@kde.org>
This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License version 2 as published by the Free Software Foundation.
This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Library General Public License for more details.
You should have received a copy of the GNU Library General Public License
along with this library; see the file COPYING.LIB. If not, write to
the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.
*/
#ifndef __KTIMEWIDGET__
#define __KTIMEWIDGET__
#include <qwidget.h>
#include <qdatetime.h>
#include <kdelibs_export.h>
class KDEUI_EXPORT KTimeWidget : public QWidget
{
Q_OBJECT
Q_PROPERTY( QTime time READ time WRITE setTime )
public:
KTimeWidget(QWidget * parent = 0, const char * name = 0);
KTimeWidget(const QTime & time,
QWidget * parent = 0, const char * name = 0 );
virtual ~KTimeWidget();
QTime time() const;
public slots:
void setTime(const QTime & time);
signals:
void valueChanged(const QTime & time);
private:
void init();
private:
class KTimeWidgetPrivate;
KTimeWidgetPrivate *d;
};
#endif
KTimeWidget
A time selection widget.
Definition: ktimewidget.h:37

KDE Home | KDE Accessibility Home | Description of Access Keys